Subject: Re: [PATCH 10/11] strvec: drop argv_array compatibility layer

From: Derrick Stolee <[email-masked]>
Date: Wed, 29 Jul 2020 12:54:58 -0400

On 7/28/20 8:47 PM, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
>> And here's a diff between your current "seen" tip and what I get by
>> merging in this updated version and then doing any necessary resolution
>> or fixups on top. I'll leave it as an exercise for how you might want to
>> pull the content across. :)
>>
>> I do note that most of the new call-sites are ones that would be better
>> off using child_process.args, and reviewers (myself and others) have
>> suggested that. So those direct uses of the "argv" member may go away
>> anyway.
> 
> Yup, I do not think we should spend too much cycles on this at this
> point, as Stolee's topic and others that add new callsites are
> likely to be rerolled at least one more time.

Yes, I immediately thought that my topic would cause some headache
for this conversion. However, I'm happy to rebase onto 'master' if
this topic is merging quickly.

> It is tempting to declare that these 11 patches are now perfect and
> we'll stop the world and fast-track it down to 'master', while
> discarding any and all topics in flight that changes anything
> related to argv-array, and then we ask authors of these discarded
> topics to send in a rebase on top of the 'master' with strvec API
> already in.  But I somehow think we do not have to take such a
> drastic measure to adjust the world around this topic ;-)

I'll keep an eye out for how you plan to resolve this.

Thanks,
-Stolee